@import url("../css2-1");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Raleway", sans-serif;
}

:root {
  --primary-theme: #001d3d;
  --primary-clr: #3d52a0;
  --secondary-clr: #7091e6;
  --white-clr: #fff;
  --gray-clr: #8697c4;
  --light-gray-clr: #adbbda;
  --light-white-clr: #ede8f5;
  --dark-clr: #00173c;
  --black-clr: #000000;
  --yellow-clr: #f8a501;
  --orange-clr: #ff7c69;
}

.primary_text {
  color: var(--secondary-clr);
  font-weight: 800;
}

.seo_services_hero_bg {
  /* border: 1px solid red; */
  background-image: url("../assets/RDG-header-servcie-bg.png");
  margin-top: 90px;
  background-repeat: no-repeat;
  background-size: cover;
  width: 100%;

  min-height: 55vh;
  padding-top: 30px;
}

.seo_services_hero_bg_left {
  /* border: 1px solid red; */
  display: flex;
  justify-content: center;
  flex-direction: column;
}
.seo_services_hero_bg_right {
  display: flex;
  align-items: center;
  justify-content: center;
}
.seo_services_hero_bg_right img {
  /* border: 1px solid red; */
}

/* ------------------------- onoffpage_thingswedo_wrapper ---------------------------- */
.onoffpage_thingswedo {
  /* border: 1px solid red; */
  background: url("../assets/RDG-feature-section-bg.png");
  background-repeat: no-repeat;
  background-size: cover;
  padding: 100px 0;
  margin-top: 100px;
  margin-bottom: 50px;
}

.onoffpage_thingswedo .section_heading_div p {
  /* color: #ffffff56; */
  color: #4e60ea;
  mix-blend-mode: screen;
  z-index: 998;
  margin-bottom: 5px;
}

.onoffpage_thingswedo .swiper-wrapper {
  /* transform: translate3d(-1272px, 0px, 0px); */
}

.onoffpage_thingswedo_wrapper {
  position: relative;
  width: 100%;
  overflow: hidden;
  padding: 40px 0;
  display: flex;
  align-items: center;
}

/* .onoffpage_thingswedo_wrapper::before,
.onoffpage_thingswedo_wrapper::after {
    content: '';
    position: absolute;
    top: 0;
    width: 20%; 
    height: 100%;
    pointer-events: none;
    z-index: 999;
    background: linear-gradient(
        to right, 
        rgba(255,255,255,1) 0%, rgba(255,255,255,0) 100%
    );
    cursor: all-scroll;
} */

/* .onoffpage_thingswedo_wrapper::after {
    right: 0;
    background: linear-gradient(
        to left, 
        rgba(255,255,255,1) 0%, rgba(255,255,255,0) 100%
    );
} */

/* Left side gradient effect */
.onoffpage_thingswedo_wrapper::before {
  content: "";
  position: absolute;
  top: 9%;
  left: 0;
  width: 25%; /* Adjust the width for the blur */
  height: 80%;
  pointer-events: none;
  z-index: 997;
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 1),
    rgba(255, 255, 255, 0)
  );
  filter: blur(10px);
  transition: opacity 0.5s ease-in-out;
  opacity: 1; /* Initially visible */
}

/* Right side gradient effect */
.onoffpage_thingswedo_wrapper::after {
  content: "";
  position: absolute;
  top: 9%;
  right: 0;
  width: 25%; /* Adjust the width for the blur */
  height: 80%;
  pointer-events: none;
  z-index: 997;
  background: linear-gradient(
    to left,
    rgba(255, 255, 255, 1),
    rgba(255, 255, 255, 0)
  );
  filter: blur(10px);
  transition: opacity 0.5s ease-in-out;
  opacity: 1; /* Initially visible */
}
.onoffpage_thingswedo_slider {
  display: flex;
  transition: transform 0.5s ease-in-out;
  will-change: transform;
}
/* .onoffpage_thingswedo_wrapper_card:first-child,
.onoffpage_thingswedo_wrapper_card:last-child {
    filter: blur(10px);
    pointer-events: none; 
}


.onoffpage_thingswedo_wrapper_card:not(:first-child):not(:last-child):hover {
    transform: scale(1.2, 1.2);
    z-index: 998;
    filter: none; 
} */

.swiper-button-next {
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 50%;
  z-index: 998;
  padding: 10px 20px;

  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  right: var(--swiper-navigation-sides-offset, 80px);
}
.swiper-button-next::after {
  font-size: 20px;
  font-weight: 800;
  color: var(--dark-clr);
}
.swiper-button-prev {
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 50%;
  z-index: 998;
  padding: 10px 20px;
  right: 150px !important;

  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  left: var(--swiper-navigation-sides-offset, 80px);
}
.swiper-button-prev::after {
  font-size: 20px;
  font-weight: 800;
  color: var(--dark-clr);
}
.swiper-pagination-bullet-active {
  opacity: var(--swiper-pagination-bullet-opacity, 1);
  background: var(--swiper-pagination-color, var(--swiper-theme-color));
  background: var(--dark-clr);
}

.onoffpage_thingswedo_wrapper_card {
  border: 1px solid #ededed;
  background-color: var(--white-clr);
  height: 280px;
  min-width: 200px;
  margin-right: 40px;
  font-weight: 500;
  color: var(--black-clr);
  border-radius: 10px;
  transition: transform 0.4s;
}
.onoffpage_thingswedo_wrapper_card:hover {
  transform: scale(1.2, 1.2);
  z-index: 998;
}

.onoffpage_thingswedo_wrapper_card img {
  border: 1px solid #ededed;
  width: 100%;
  height: 200px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.onoffpage_thingswedo_wrapper_card p {
  /* border: 1px solid red; */
  padding: 10px 16px;
  color: var(--dark-clr);
  font-weight: 600;
  align-items: center;
  height: 80px;
  align-content: center;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}

/* @keyframes scroll-horizontal {
    0% {
        transform: translateX(0%);
    }
    100% {
        transform: translateX(-50%);
    }
} */

 

.seo_service_l2_hero_img {
  /* border: 1px solid red; */
  width: 350px;
}

/* ----------------------------- tabs ---------------------------------- */
.w3-bar {
  display: flex;
  gap: 20px;
  justify-content: space-between;
  align-items: center;
}

.w3-bar button {
  height: 80px;
  display: flex;
  justify-content: start;
  align-items: center;
  padding: 20px;
  border-radius: 10px;
  color: var(--dark-clr);
  font-weight: 600;
  border: 2px solid #b9b9b9;
  background-color: var(--white-clr);
  transition: all 0.4s ease-in-out;
}
.w3-bar button:hover {
  color: var(--white-clr);
  background-color: var(--dark-clr);
}

.active-tab {
  border: 2px solid var(--dark-clr) !important;
  background-color: var(--dark-clr) !important;
  color: var(--white-clr) !important;
}

.w3-container {
  border: 2px solid var(--dark-clr);
  margin-top: 20px;
  border-radius: 10px;
  padding: 20px;
  gap: 20px;
  display: none;
}

.active-container {
  display: flex;
  align-items: center;
}

.w3-container-head {
  width: 50%;
  background: #ededed;
  padding: 20px;
  border-radius: 10px;
}

.w3-container img {
  width: 50%;
  height: 300px;
  border-radius: 10px;
}

@media (min-width: 1560px) and (max-width: 1920px) {
  .seo_service_l2_hero_img {
    /* border: 1px solid red; */
    width: 500px;
  }
}

@media (max-width: 426px) {
  .w3-bar {
    overflow-y: auto;

    justify-content: start;
  }

  .w3-bar button {
    /*height: 120px;*/
    white-space: nowrap;
    font-size: 10px;
  }

  .w3-container {
    border: 2px solid var(--dark-clr);
    margin-top: 20px;
    border-radius: 10px;
    padding: 20px;
    gap: 20px;
    display: none;
  }

  /* .whyChoose {
    flex-direction: column;
  }
   */
  .active-container {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
  }

  .w3-container-head {
    width: 100%;
  }

  .w3-container img {
    width: 100%;
    height: auto;
  }

  .seo_services_hero_bg {
    /* border: 1px solid red; */
    padding-top: 1px;
    margin-bottom: 80px;
  }

  .seo_services_hero_bg_left {
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
  }
  .seo_services_hero_bg_left h1 {
    font-size: 30px;
    text-align: center;
  }
  .seo_services_hero_bg_left .cta_button {
    margin-right: 0;
  }

  .seo_service_l2_hero_img {
    width: 300px;
  }

  .swiper-button-next {
    right: var(--swiper-navigation-sides-offset, 20px);
  }

  .swiper-button-prev {
    left: var(--swiper-navigation-sides-offset, 20px);
  }
}
@media (min-width: 426px) and (max-width: 768px) {
  .w3-bar {
    overflow-y: auto;
  }

  .w3-bar button {
    height: 80px;
    font-size: 10px;
  }

  .w3-container {
    border: 2px solid var(--dark-clr);
    margin-top: 20px;
    border-radius: 10px;
    padding: 20px;
    gap: 20px;
    display: none;
  }

  /* .whyChoose {
    flex-direction: column;
  }
   */
  .active-container {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
  }

  .w3-container-head {
    width: 100%;
  }

  .w3-container img {
    width: 100%;
    height: auto;
  }
}
@media (min-width: 769px) and (max-width: 1280px) {
  .w3-bar {
    overflow-y: auto;
  }

  .w3-bar button {
    height: 80px;
    font-size: 10px;
  }

  .w3-container {
    border: 2px solid var(--dark-clr);
    margin-top: 20px;
    border-radius: 10px;
    padding: 20px;
    gap: 20px;
    display: none;
  }

  /* .whyChoose {
    flex-direction: column;
  }
   */
  .active-container {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
  }

  .w3-container-head {
    width: 100%;
  }

  .w3-container img {
    width: 100%;
    height: auto;
  }
}
